> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Parse the supplied stream using a direct POST

> The output is one or more PipelineDocuments



## OpenAPI

````yaml /api-reference/4.2/service-parsers.json post /parsers/{id}/parse
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service parsers
servers:
  - url: /api/apollo/
security: []
tags:
  - name: parsers
paths:
  /parsers/{id}/parse:
    post:
      tags:
        - 4.2 Parsers API
      summary: Parse the supplied stream using a direct POST
      description: The output is one or more PipelineDocuments
      operationId: parseFileDirect
      parameters:
        - name: id
          in: path
          description: The parser configuration ID
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            An integer value to capture the first N documents, similar to SQL
            'limit'
          required: false
          schema:
            type: integer
            format: int32
            default: 100
        - name: offset
          in: query
          description: >-
            The offset in the complete result set where the set of returned
            documents should begin, used for pagination, similar to SQL 'offset'
          required: false
          schema:
            type: integer
            format: int32
            default: 0
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/octet-stream
        - name: Content-Disposition
          in: header
          description: A presentation tag for the entity body
          required: false
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InputStream'
        description: The data to parse
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParserResponse'
components:
  schemas:
    InputStream:
      type: object
    ParserResponse:
      type: object
      properties:
        totalTimeMs:
          type: integer
          format: int32
        parsedStreams:
          type: integer
          format: int32
        totalDocuments:
          type: integer
          format: int32
        documents:
          type: array
          items:
            $ref: '#/components/schemas/PipelineDocument'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ParserErrorResponse'
        diagnostics:
          type: array
          items:
            $ref: '#/components/schemas/ParserDiagnostic'
    PipelineDocument:
      type: object
      properties:
        id:
          type: string
        fields:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/PipelineField'
        metadata:
          type: object
          additionalProperties:
            type: string
        commands:
          type: array
          items:
            $ref: '#/components/schemas/Command'
        hints:
          type: object
          additionalProperties:
            type: array
            uniqueItems: true
            items:
              type: string
    ParserErrorResponse:
      type: object
      properties:
        message:
          type: string
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: object
    ParserDiagnostic:
      type: object
      properties:
        diagnosticId:
          type: string
          readOnly: true
        parserStageId:
          type: string
          readOnly: true
        parserStageType:
          type: string
          readOnly: true
        filter:
          type: string
          readOnly: true
        result:
          type: boolean
          readOnly: true
          default: false
        cause:
          type: string
          readOnly: true
        code:
          type: integer
          format: int32
          readOnly: true
    PipelineField:
      type: object
      properties:
        name:
          type: string
        value:
          type: object
        metadata:
          type: object
          additionalProperties:
            type: string
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
    Command:
      type: object
      properties:
        name:
          type: string
          readOnly: true
        params:
          type: object
          readOnly: true
          additionalProperties:
            type: string
    Annotation:
      type: object
      properties:
        type:
          type: string
        start:
          type: integer
          format: int64
        end:
          type: integer
          format: int64
        features:
          type: object
          readOnly: true
          additionalProperties:
            type: string
        label:
          type: string
          readOnly: true
        featureCount:
          type: integer
          format: int32

````